Subject: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Dec 2016 18:15:57 +0200

> Date: Tue, 20 Dec 2016 12:18:58 +0100
> From: "Dr. Werner Fink" <[email-masked]>
> Cc: martin rudalics <[email-masked]>, [email-masked]
> 
> > Can you describe how that mechanism is triggered by the offending
> > change?
> 
> Just play around with eval-region/expression ... that is that I can switch with
> 
>   (font-setting-change-default-font ":0" t)
> 
> or
> 
>   (font-setting-change-default-font ":0" nil)
> 
> to the system default font settings and then with
> 
>   (custom-set-faces '(default ((t (:family "B&H LucidaTypewriter"
>     :foundry "B&H" :slant normal :weight normal :height 110 :width normal)))))

Thanks.  However, I don't have easy access to systems where this
problem happens, so I must examine the source code instead.  That is
why I asked to describe which code triggers this and how it started
affecting us after commit e65c307.